Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MakeLogicTM - FileMenu API v1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.makeLogic.utils
Class InternalFrameClosingHandler

    java.lang.Object
      |
      +--javax.swing.event.InternalFrameAdapter
            |
            +--com.makeLogic.utils.InternalFrameClosingHandler

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.InternalFrameListener

public class InternalFrameClosingHandler
extends javax.swing.event.InternalFrameAdapter

This Class contains all the methods which are necessary to execute when the closing event of the JInternalFrame(file) fires.
It takes care of saving the file if it is not saved , etc,,.

Constructor Summary
`InternalFrameClosingHandler(java.awt.Container container, java.util.Hashtable internalFramesOpenFileNames, MLInternalFrame internalFrame)`

Method Summary
`void` | `internalFrameClosing(javax.swing.event.InternalFrameEvent e)`

Methods inherited from class javax.swing.event.InternalFrameAdapter
`internalFrameActivated, internalFrameClosed, internalFrameDeactivated, internalFrameDeiconified, internalFrameIconified, internalFrameOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalFrameClosingHandler

    public InternalFrameClosingHandler(java.awt.Container container,
                                       java.util.Hashtable internalFramesOpenFileNames,
                                       MLInternalFrame internalFrame)

Method Detail

### internalFrameClosing

    public void internalFrameClosing(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameClosing` in interface `javax.swing.event.InternalFrameListener`
  Overrides:
    `internalFrameClosing` in class `javax.swing.event.InternalFrameAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MakeLogicTM - FileMenu API v1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
MakeLogic is a trademark or regis.
Copyright 2002 MakeLogic. 19-111/1,Gauthamnagar,Malkajgiri,Hyderabad, AP, India